# versions

Get a list of every version of every service in a given cloud.

## versions show

Show available versions of services

    openstack versions show
        [--format-config-file FORMAT_CONFIG]
        [--sort-column SORT_COLUMN]
        [--sort-ascending
        |
        --sort-descending
        ]
        [--all-interfaces
        |
        --interface <interface>
        ]
        [--region-name <region_name>]
        [--service <service>]
        [--status <status>]

--format-config-file <FORMAT_CONFIG>

  Config file for the dict-to-csv formatter

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--all-interfaces

  Show values for all interfaces

--interface <interface>

  Show versions for a specific interface.

--region-name <region_name>

  Show versions for a specific region.

--service <service>

  Show versions for a specific service. The argument should be either an exact match to what is in the catalog or a known official value or alias from service-types-authority (https://service-types.openstack.org/)

--status <status>

  Show versions for a specific status. Valid values are:

  - SUPPORTED

  - CURRENT

  - DEPRECATED

  - EXPERIMENTAL

this page last updated: 2026-04-01 09:44:20

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.